BUS_REGISTER(9)

NAME
bus_register - register a driver-core subsystem

SYNOPSIS

int bus_register(struct bus_type * bus);

ARGUMENTS

bus
    bus to register

DESCRIPTION

Once we have that, we register the bus with the kobject infrastructure, then register the children subsystems it has: the devices and drivers that belong to the subsystem.

COPYRIGHT